/*
  3_sensorReading

  Reads an analog input on pin 0, prints the result to the Serial Monitor.
  Converts the ADC reading to a sensor value using the calibration equation
  Attach the signal pin of the sensor to pin A0, and to +5V and ground.

  */

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  float sensorValue = analogRead(A0);
  float sensorVoltage = sensorValue * 5.0 / 1023;// Converts the count to the sensor voltage
  float sensorReading = 51.71*sensorVoltage - 25.86; // Converts voltage to kPa pressure
  // print out the value you read:
  Serial.println(sensorReading);
  delay(500);        // delay in between reads in milliseconds
}
