/*
  4_formatData

  Modifies a basic sketch that reads the Vernier Gas Pressure Sensor (GPS-BTA)
  Creates better formatting for serial monitor output

*/
int readingNumber; // creates a global variable to save the number of data points

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  char sensor[] ="Gas Pressure Sensor";
  char measurement [] = "Pressure";
  char units[] =" (kPa)";

Serial.println(sensor); // prints the name of the sensor using the char sensor
Serial.print(measurement);
Serial.print(units);
Serial.print("\t");
Serial.println("time(s)"); // prints the units using the char units
}

// the loop routine runs over and over again forever:
void loop() {
  // the following calculates the time for each reading

  float timeBetweenReadings = 500; // in ms
  float sensorTime = timeBetweenReadings * readingNumber /1000; // calculates sensorTime
  readingNumber++; // increments readingNumber by 1  

  // read the input on analog pin 0:
  float sensorValue = analogRead(A0);
  float sensorVoltage = sensorValue / 1023 * 5.0;// Converts the count to the sensor voltage
  float sensorReading = 51.71*sensorVoltage - 25.86; // Converts voltage to kPa pressure
  
  // print out the value you read:
  Serial.print(sensorReading);
  Serial.print("\t");
  Serial.print("\t");
  Serial.println(sensorTime);
  delay(500);        // delay in between reads in milliseconds
}
